<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 * Learn more: https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package outer
 */

$blog_layout_style  = outer_get_thememod( 'blog_layout_style' );
$blog_layout_column = outer_get_thememod( 'blog_layout_column' );

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
			<?php Outer\custom_header(); ?>
			<div class="site-main__inner">
				<?php
				if ( have_posts() ) :
					?>
				<div class="loop <?php echo esc_attr( $blog_layout_style ); ?>-style column-<?php echo esc_attr( $blog_layout_column ); ?> <?php echo esc_attr( Outer\site_container_class() ); ?>">
					<?php
					/* Start the Loop */
					while ( have_posts() ) :
						the_post();

						/*
						* Include the Post-Type-specific template for the content.
						* If you want to override this in a child theme, then include a file
						* called content-___.php (where ___ is the Post Type name) and that will be used instead.
						*/
						get_template_part( 'template-parts/content', get_post_type() );

					endwhile;
					?>
				</div>
					<?php
					get_template_part( 'template-parts/content', 'pagination' );
				else :

					get_template_part( 'template-parts/content', 'none' );

				endif;
				?>
			</div><!-- .site-main__inner -->
		</main><!-- #main -->
	</div><!-- #primary -->

<?php
get_footer();
