<?php
/**
 * Outer theme functions and definitions
 *
 * @package Outer
 */

/**
 * Theme constants.
 */
define( 'OUTER_VERSION', '1.0.0' );

/**
 * Load fonts.
 */
require_once get_parent_theme_file_path( 'inc/fonts/google-fonts.php' );
require_once get_parent_theme_file_path( 'inc/fonts/fonts.php' );

/**
 * Core setup, hooks, and filters.
 */
require_once get_parent_theme_file_path( 'inc/core.php' );
require_once get_parent_theme_file_path( 'inc/css.php' );

/**
 * Customizer settings & functions.
 */
require_once get_parent_theme_file_path( 'inc/customizer/theme-options.php' );
require_once get_parent_theme_file_path( 'inc/customizer.php' );

/**
 * Custom template tags for theme.
 */
require_once get_parent_theme_file_path( 'inc/template-tags.php' );


/**
 * WooCommerce hooks & filters.
 */
require_once get_parent_theme_file_path( 'inc/woocommerce.php' );


/*
 * Theme helper functions and shims.
 */
require_once get_parent_theme_file_path( 'inc/outer-functions.php' );
require_once get_parent_theme_file_path( 'inc/wordpress-shims.php' );

/**
 * Theme Updater.
 */
require_once get_parent_theme_file_path( 'inc/updater/theme-updater.php' );

/**
 * Run setup functions.
 */
Outer\Core\setup();
Outer\Customizer\setup();
Outer\WooCommerce\setup();
