<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Outer
 */

$blog_layout_column = outer_get_thememod( 'blog_layout_column' );
$blog_layout_style  = outer_get_thememod( 'blog_layout_style' );
$post_thumb_class   = has_post_thumbnail() ? 'has-thumbnail' : 'no-thumb';
?>
<article id="post-<?php the_ID(); ?>" <?php post_class( $post_thumb_class ); ?>>
	<?php if ( 'grid' !== $blog_layout_style ) : ?>
	<style>
		#post-<?php esc_attr( the_ID() ); ?> .post-container {
			background-image: url("<?php esc_url( the_post_thumbnail_url( 'outer-post-thumbnail' ) ); ?>");
		}
	</style>
	<?php endif; ?>
	<div class="post-container" itemscope itemtype="https://schema.org/Article">
		<?php
		if ( 'grid' === $blog_layout_style ) :
			Outer\featured_image();
		else :
			?>
		<div class="post-overlay"></div>
			<?php
		endif;
		?>
		<header class="entry-header">
			<?php
			if ( 'post' === get_post_type() ) :
				?>
				<div class="entry-meta">
					<?php Outer\posted_on(); ?>
				</div><!-- .entry-meta -->
				<?php
			endif;
			if ( is_singular() ) :
				the_title( '<h1 class="entry-title"><span itemprop="name">', '</span></h1>' );
			else :
				the_title( '<h' . esc_attr( $blog_layout_column ) . ' class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark"><span itemprop="name">', '</span></a></h' . esc_attr( $blog_layout_column ) . '3>' );
			endif;
			?>
		</header><!-- .entry-header -->

		<?php
		if ( 'grid' === $blog_layout_style ) :
			?>
		<div class="entry-content" itemprop="articleBody">
			<?php
			the_excerpt();
			wp_link_pages(
				array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'outer' ),
					'after'  => '</div>',
				)
			);
			?>
		</div><!-- .entry-content -->
		<?php endif; ?>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->
