<?php
/**
 * Single Product Meta
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/meta.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woocommerce.com/document/template-structure/
 * @package     WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product;

$sku = $product->get_sku();
?>
<div class="product_meta">

	<?php do_action( 'woocommerce_product_meta_start' ); ?>

	<?php
	if ( wc_product_sku_enabled() && ( $sku || $product->is_type( 'variable' ) ) ) :
		?>

	<div class="sku_wrapper"><?php esc_html_e( 'SKU:', 'woocommerce' ); ?> <span class="sku"><?php echo $sku ? esc_html( $sku ) : esc_html__( 'N/A', 'woocommerce' ); ?></span></div>

		<?php
		endif;
	?>

	<?php echo wp_kses_post( wc_get_product_category_list( $product->get_id(), ', ', '<div class="posted_in">' . esc_html__( 'Categories:', 'woocommerce' ) . ' ', '</div>' ) ); ?>

	<?php do_action( 'woocommerce_product_meta_end' ); ?>

</div>
